Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036931
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2017-09-22 15:472018-01-03 12:38
ReporteraferrazView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision8a784ff649df
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036931: Process definition with data access level = System only can be launched as normal client

DescriptionProcess definition with data access level = System only can be launched as normal client.
If we have a report and process with data access level = System only, it can not be launched as normal client. Following error is shown:
With your current role and settings, you cannot view this information.
Steps To ReproduceAs system admin, change the data access level of any process definition and report and process.

As F&B admin, run process definition. No error is shown.

As F&B admin, run report and process. Error is shown.
TagsNo tags attached.
Attached Filesdiff file icon issue36931_Sol1.diff [^] (7,538 bytes) 2017-09-26 18:50 [Show Content]
diff file icon issue36931_Sol2.diff [^] (2,357 bytes) 2017-09-26 19:07 [Show Content]
diff file icon issue36931_Sol3.diff [^] (5,505 bytes) 2017-09-28 17:37 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036877 closedaferraz Organization selector in Purchase Order Report should restrict the organizations that can be displayed 

-  Notes
(0099736)
hgbot (developer)
2017-10-03 17:28

Repository: erp/devel/pi
Changeset: 8a784ff649df18cc3895685ddf976cf95e83febc
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Oct 03 17:10:26 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8a784ff649df18cc3895685ddf976cf95e83febc [^]

fixes bug 36931: Check data access level of process definitions

  The data access level of the process definition was not being checked. Now, it is verified in the BaseProcessActionHandler before executing any action. In particular the check will be performed by the defaults action handler of each process definition.

  In addition, some code has been added for the OBBaseParameterWindowView class, in order to handle properly in the client the error message coming from the server side when the access level of the process definition is not allowed in the current context

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/process/BaseProcessActionHandler.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-base-parameter-window-view.js
M src/org/openbravo/dal/security/EntityAccessChecker.java
---
(0099818)
alostale (developer)
2017-10-09 09:03

reviewed + tested
(0101315)
hudsonbot (developer)
2018-01-03 12:38

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-09-22 15:47 aferraz New Issue
2017-09-22 15:47 aferraz Assigned To => platform
2017-09-22 15:47 aferraz Modules => Core
2017-09-22 15:47 aferraz Triggers an Emergency Pack => No
2017-09-22 15:47 aferraz Relationship added related to 0036877
2017-09-26 18:48 caristu Assigned To platform => caristu
2017-09-26 18:48 caristu Status new => scheduled
2017-09-26 18:50 caristu File Added: issue36931_Sol1.diff
2017-09-26 19:07 caristu File Added: issue36931_Sol2.diff
2017-09-28 17:37 caristu File Added: issue36931_Sol3.diff
2017-10-03 17:28 hgbot Checkin
2017-10-03 17:28 hgbot Note Added: 0099736
2017-10-03 17:28 hgbot Status scheduled => resolved
2017-10-03 17:28 hgbot Resolution open => fixed
2017-10-03 17:28 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8a784ff649df18cc3895685ddf976cf95e83febc [^]
2017-10-03 17:29 caristu Review Assigned To => alostale
2017-10-09 09:03 alostale Note Added: 0099818
2017-10-09 09:03 alostale Status resolved => closed
2017-10-09 09:03 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:38 hudsonbot Checkin
2018-01-03 12:38 hudsonbot Note Added: 0101315


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker